CREATE TABLE md_structure (
  autoid serial PRIMARY KEY,
  structureid varchar(36) NOT NULL,
  accountid varchar(64) NOT NULL,
  userid varchar(36) DEFAULT NULL,
  istop boolean DEFAULT NULL,
  manager_userid varchar(36) DEFAULT NULL,
  createuserid varchar(36) DEFAULT NULL,
  createtime timestamp DEFAULT NULL,
  projectid varchar(36) DEFAULT NULL,
  updateuserid varchar(36) DEFAULT NULL,
  updatetime timestamp DEFAULT NULL
);

CREATE TABLE structurelog (
  autoid serial PRIMARY KEY,
  accountid varchar(64),
  projectid varchar(36) DEFAULT NULL,
  parentid varchar(36) DEFAULT NULL,
  oldparentid varchar(36) DEFAULT NULL,
  operateid varchar(64),
  createtime timestamp DEFAULT NULL
);

CREATE INDEX idx_stru_pid_aid ON md_structure USING btree (projectid, accountid);
CREATE INDEX idx_stru_pid_muid ON md_structure USING btree (projectid, manager_userid);